# Uses of Interface
org.codehaus.commons.compiler.IScriptEvaluator

Packages that use IScriptEvaluator
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IScriptEvaluator in org.codehaus.commons.compiler

Methods in org.codehaus.commons.compiler that return IScriptEvaluator
Modifier and Type
Method
Description
`IScriptEvaluator`
AbstractCompilerFactory.`newScriptEvaluator()`
`IScriptEvaluator`
ICompilerFactory.`newScriptEvaluator()`

## Uses of IScriptEvaluator in org.codehaus.commons.compiler.jdk

Classes in org.codehaus.commons.compiler.jdk that implement IScriptEvaluator
Modifier and Type
Class
Description
`class`
`ScriptEvaluator`
To set up a `ScriptEvaluator` object, proceed as described for `IScriptEvaluator`.
Methods in org.codehaus.commons.compiler.jdk that return IScriptEvaluator
Modifier and Type
Method
Description
`IScriptEvaluator`
CompilerFactory.`newScriptEvaluator()`

## Uses of IScriptEvaluator in org.codehaus.janino

Classes in org.codehaus.janino that implement IScriptEvaluator
Modifier and Type
Class
Description
`class`
`ScriptEvaluator`
An implementation of `IScriptEvaluator` that utilizes the JANINO Java compiler.
Methods in org.codehaus.janino that return IScriptEvaluator
Modifier and Type
Method
Description
`IScriptEvaluator`
CompilerFactory.`newScriptEvaluator()`